import request from '/@/utils/request';


export function update(params: string) {
	return request({
		url: '/inventory/agent/info/update',
		method: 'post',
		data: params,
	});
}
// 保存检验
export function saveInspectors (data:object){
	return request({
		url: '/patient/lis/report/save',
		method: 'post',
		data
	})
}
// 获取检验项目
export function getInspectorsMeal(clientCode: string) {
    return request({
      url: '/lis/report/item/set/getTestItems',
      method: 'post',
      params: {
          clientCode: clientCode
      }
    })
}
// 获取检验项目详情
export function getInspectorsMealDetail (params:object){
	return request({
		url: '/patient/lis/report/listByReportItemSet',
		method: 'post',
		params
	})
}
// 删除信息
export function deleteInfo (id: string) {
	return request({
		url: '/patient/lis/report/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params: {
			id
		}
	})
}